Package org.apache.sling.models.caconfig.impl.injectors

## Class ContextAwareConfigurationInjector

- java.lang.Object
- - org.apache.sling.models.caconfig.impl.injectors.ContextAwareConfigurationInjector

All Implemented Interfaces:
  `org.apache.sling.models.spi.AcceptsNullName`, `org.apache.sling.models.spi.Injector`, `org.apache.sling.models.spi.injectorspecific.StaticInjectAnnotationProcessorFactory`

    public class ContextAwareConfigurationInjector
    extends Object
    implements org.apache.sling.models.spi.Injector, org.apache.sling.models.spi.injectorspecific.StaticInjectAnnotationProcessorFactory, org.apache.sling.models.spi.AcceptsNullName

### Constructor Summary

Constructors
`ContextAwareConfigurationInjector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.models.spi.injectorspecific.InjectAnnotationProcessor2` `createAnnotationProcessor​(AnnotatedElement element)`
`@NotNull String` `getName()`
`Object` `getValue​(@NotNull Object adaptable, String name, @NotNull Type declaredType, @NotNull AnnotatedElement element, @NotNull org.apache.sling.models.spi.DisposalCallbackRegistry callbackRegistry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextAwareConfigurationInjector

    public ContextAwareConfigurationInjector()

### Method Detail

#### getName

    @NotNull
    public @NotNull String getName()

Specified by:
  `getName` in interface `org.apache.sling.models.spi.Injector`

#### createAnnotationProcessor

    public org.apache.sling.models.spi.injectorspecific.InjectAnnotationProcessor2 createAnnotationProcessor​(AnnotatedElement element)

Specified by:
  `createAnnotationProcessor` in interface `org.apache.sling.models.spi.injectorspecific.StaticInjectAnnotationProcessorFactory`

#### getValue

    public Object getValue​(@NotNull
                           @NotNull Object adaptable,
                           String name,
                           @NotNull
                           @NotNull Type declaredType,
                           @NotNull
                           @NotNull AnnotatedElement element,
                           @NotNull
                           @NotNull org.apache.sling.models.spi.DisposalCallbackRegistry callbackRegistry)

Specified by:
  `getValue` in interface `org.apache.sling.models.spi.Injector`